using System;
using System.Net;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Documents;
using System.Windows.Ink;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Animation;
using System.Windows.Shapes;
using System.Windows.Data;
using System.Linq;
using System.Collections;
using System.Collections.Generic;
using System.Windows.Media.Imaging;
using System.Globalization;
using System.Windows.Browser;
using System.IO.IsolatedStorage;
using System.IO;
using System.Threading;
using System.Collections.ObjectModel;
namespace CustomizedFilteringControl
{
    public class CSVConverter : IValueConverter
    {

        public object Convert(object value, Type targetType, object parameter, System.Globalization.CultureInfo culture)
        {
            string csvValue = null;

            foreach (var p in (ObservableCollection<Player>)value)
            {
                if (csvValue == null)
                    csvValue = p.Name;
                else
                    csvValue += "," + p.Name;
            }

            return csvValue;
        }

        public object ConvertBack(object value, Type targetType, object parameter, System.Globalization.CultureInfo culture)
        {
            throw new NotImplementedException();
        }
    }
   
}

